# VictoriaLogs Single Generated on 14 Jan 2026 from [the VictoriaLogs Single catalog page](https://marketplace.digitalocean.com/apps/victorialogs-single) **VictoriaLogs** is open source user-friendly database for logs from [VictoriaMetrics](https://docs.victoriametrics.com/). [VictoriaLogs](https://docs.victoriametrics.com/victorialogs/) can accept logs from popular [log collectors](https://docs.victoriametrics.com/victorialogs/data-ingestion/). It provides easy yet powerful query language with full-text search capabilities across all the [log fields](https://docs.victoriametrics.com/victorialogs/keyconcepts/#data-model) via [LogsQL query language](https://docs.victoriametrics.com/victorialogs/logsql/) and supports fast full-text search over high-cardinality [log fields](https://docs.victoriametrics.com/VictoriaLogs/keyConcepts.html#data-model) such as `trace_id`, `user_id` and `ip` as wel as out-of-order logs’ ingestion aka backfilling. VictoriaLogs can be seamlessly combined with good old Unix tools for log analysis such as `grep`, `less`, `sort`, `jq`, etc. See [these docs](https://docs.victoriametrics.com/victorialogs/querying/#command-line) for details. VictoriaLogs capacity and performance scales linearly with the available resources (CPU, RAM, disk IO, disk space) ## Software Included | Package | Version | License | |---|---|---| | [VictoriaLogs Single](https://docs.victoriametrics.com/victorialogs/) | [1.43.1](https://docs.victoriametrics.com/victorialogs/changelog/#v1431) | [Apache 2](https://github.com/VictoriaMetrics/VictoriaLogs/blob/master/LICENSE) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=victoriametrics-victorialogssing) ## Creating an App using the API In addition to creating a Droplet from the VictoriaLogs Single 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB VictoriaLogs Single Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"victoriametrics-victorialogssing"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying VictoriaLogs Single ### Config VictoriaLogs configuration is located at `/etc/victorialogs/single/victorialogs.conf` on the droplet. This One Click app uses 9428 port to accept logs from popular [log collectors](https://docs.victoriametrics.com/victorialogs/data-ingestion/) like: - [Filebeat](https://docs.victoriametrics.com/victorialogs/data-ingestion/filebeat/) - [Fluentbit](https://docs.victoriametrics.com/victorialogs/data-ingestion/fluentbit/) - [Fluentd](https://docs.victoriametrics.com/victorialogs/data-ingestion/fluentd/) - [Logstash](https://docs.victoriametrics.com/victorialogs/data-ingestion/logstash/) - [Vector](https://docs.victoriametrics.com/victorialogs/data-ingestion/vector/) - [Promtail](https://docs.victoriametrics.com/victorialogs/data-ingestion/promtail/) - [Telegraf](https://docs.victoriametrics.com/victorialogs/data-ingestion/telegraf/) - [OpenTelemetry setup](https://docs.victoriametrics.com/victorialogs/data-ingestion/opentelemetry/) - [Syslog](https://docs.victoriametrics.com/victorialogs/data-ingestion/syslog/) See more details and examples in [official documentation](https://docs.victoriametrics.com/VictoriaLogs/). ### Web UI VictoriaLogs provides a [User Interface (UI)](https://docs.victoriametrics.com/victorialogs/querying/#web-ui) for query troubleshooting and exploration. The UI is available at `http://your_droplet_public_ipv4:9428/select/vmui/`. It lets users explore query results via graphs and tables. ### Accessing Run the following command to check that VictoriaLogs is healthy and ready to accept for data ingestion: ``` curl -sg http://your_droplet_public_ipv4:9428/health ``` Once the Droplet is created, you can use DigitalOcean’s web console to start a session or SSH directly to the server as root: ``` ssh root@your_droplet_public_ipv4 ```